import configparser
import os
import subprocess

# Change working directory
os.chdir(os.path.dirname(os.path.abspath(__file__)))

opts_parser = configparser.ConfigParser()
with open('options.ini', 'r', encoding='utf-8') as opts_file:
    opts_parser.read_file(opts_file)

# Loop through files in input folder
loop_success = 0
with os.scandir(opts_parser['folder paths']['input']) as inp_fold:
    for vid_file in inp_fold:
        if not vid_file.name.startswith('.') and vid_file.is_file():
            # Construct output file path
            file_name_parts = os.path.splitext(os.path.basename(vid_file))
            aud_file = os.path.join(
                opts_parser['folder paths']['output'], file_name_parts[0] + '.flac')
            # Run FFmpeg with the specified options
            subprocess.run(['ffmpeg', '-i', vid_file,
                           '-vn', '-f', 'flac', aud_file])
            loop_success += 1
if loop_success > 0:
    print('\nFile processing complete.')
else:
    print('Input folder is empty.')
